﻿local moduleName = "QuoteMediaBdsK";
local moduleid = "BdsK";
local moduleData = nil;
local frame = CreateFrame("Frame", "QuoteMediaBdsKFakeFrame");

function QuoteMediaBdsK_OnEvent(this, event, arg1, arg2, arg3, arg4, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        if (IsAddOnLoaded("WoWQuote2") or IsAddOnLoaded("KQuote")) then
            QuoteMediaBdsK_Init();
            if (IsAddOnLoaded("WoWQuote2")) then
                WQ2_InitModule(moduleData);
            end
            if (IsAddOnLoaded("KQuote")) then
                KQ_InitModule(moduleData);
            end            
        else
            DEFAULT_CHAT_FRAME:AddMessage(moduleName..": Please install KQuote or WoWQuote2!",1.0,0.0,0.0);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", QuoteMediaBdsK_OnEvent);
frame:RegisterEvent("ADDON_LOADED");

function QuoteMediaBdsK_Init()
    DEFAULT_CHAT_FRAME:AddMessage(moduleName.." loaded.");
    moduleData = {
		name = "BdsK",
    	moduleid = moduleid,
    	mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
		mediadata = nil,
		--[[ tags = {
            ["tagid1"] = "Description1",
            ["tagid2"] = "Description2",
            }  			-- add your own tags here, if any --]]
    }

    moduleData.mediadata =
{
-- begin media data
{
    id = "BdsK:001",
    file = "001.mp3",
    len = 7,											-- length in seconds
    msg = "Mein Freund der Baum ist tod *träller*",
	tag = {"music"},
},
{
    id = "BdsK:002",
    file = "002.mp3",
    len = 33,											-- length in seconds
    msg = "A-Team Intro",
},
{
    id = "BdsK:003",
    file = "003.mp3",
    len = 29,											-- length in seconds
    msg = "Imperial March *träller*",
	tag = {"music"},
},
{
    id = "BdsK:004",
    file = "004.mp3",
    len = 2,											-- length in seconds
    msg = "Murloc",
},
{
    id = "BdsK:005",
    file = "005.mp3",
    len = 5,											-- length in seconds
    msg = "Ohne Heiler",
},
{
    id = "BdsK:006",
    file = "006.mp3",
    len = 6,											-- length in seconds
    msg = "Hört auf zu Lachen!",
},
{
    id = "BdsK:007",
    file = "007.mp3",
    len = 6,											-- length in seconds
    msg = "Juhuu, ich hab ihn umgelegt!",
},
{
    id = "BdsK:008",
    file = "008.mp3",
    len = 4,											-- length in seconds
    msg = "Was machen eigentlich Hexenmeister?",
},
{
    id = "BdsK:009",
    file = "009.mp3",
    len = 2,											-- length in seconds
    msg = "War das einer von euch?",
},
{
    id = "BdsK:010",
    file = "010.mp3",
    len = 4,											-- length in seconds
    msg = "Hexer können nicht sheepen?",
},
{
    id = "BdsK:011",
    file = "011.mp3",
    len = 4,											-- length in seconds
    msg = "Ist doch gut gelaufen oder nicht?",
},
{
    id = "BdsK:012",
    file = "012.mp3",
    len = 4,											-- length in seconds
    msg = "CrowdControl gegen Damage",
},
{
    id = "BdsK:013",
    file = "013.mp3",
    len = 3,											-- length in seconds
    msg = "Ich hasse ihn!",
},
{
    id = "BdsK:014",
    file = "014.mp3",
    len = 4,											-- length in seconds
    msg = "Eve of Destruction",
},
{
    id = "BdsK:015",
    file = "015.mp3",
    len = 14,											-- length in seconds
    msg = "Cheater an die Wand (orig) *träller*",
	tag = {"music"},
},
{
    id = "BdsK:016",
    file = "016.mp3",
    len = 12,											-- length in seconds
    msg = "Kinder find ich nich so toll *träller*",
	tag = {"music"},
},
{
    id = "BdsK:017",
    file = "017.mp3",
    len = 10,											-- length in seconds
    msg = "Wir bauen die Mauer wieder auf",
},
{
    id = "BdsK:018",
    file = "018.mp3",
    len = 2,											-- length in seconds
    msg = "Ich hab die schönsten Brüste",
},
{
    id = "BdsK:019",
    file = "019.mp3",
    len = 10,											-- length in seconds
    msg = "Der Asphaltboden zitterte",
},
{
    id = "BdsK:020",
    file = "020.mp3",
    len = 3,											-- length in seconds
    msg = "Die Nachbarn haben Humor",
},
{
    id = "BdsK:021",
    file = "021.mp3",
    len = 3,											-- length in seconds
    msg = "Soundsystem von Thor",
},
{
    id = "BdsK:022",
    file = "022.mp3",
    len = 5,											-- length in seconds
    msg = "Sperrstunde",
},
{
    id = "BdsK:023",
    file = "023.mp3",
    len = 10,											-- length in seconds
    msg = "Dickes B",
},
{
    id = "BdsK:024",
    file = "024.mp3",
    len = 3,											-- length in seconds
    msg = "<Trompete>",
},
{
    id = "BdsK:025",
    file = "025.mp3",
    len = 7,											-- length in seconds
    msg = "Einfach mal die Fresse halten!",
},
{
    id = "BdsK:026",
    file = "026.mp3",
    len = 4,											-- length in seconds
    msg = "Dat Regt mich auf!",
},
{
    id = "BdsK:027",
    file = "027.mp3",
    len = 20,											-- length in seconds
    msg = "Heilerstyle",
},
{
    id = "BdsK:028",
    file = "028.mp3",
    len = 15,											-- length in seconds
    msg = "Euer Heiler, Euer Gott",
},
{
    id = "BdsK:029",
    file = "029.mp3",
    len = 24,											-- length in seconds
    msg = "Eine Qual",
},
{
    id = "BdsK:030",
    file = "030.mp3",
    len = 15,											-- length in seconds
    msg = "Den Heiler kritisiert",
},
{
    id = "BdsK:031",
    file = "031.mp3",
    len = 8,											-- length in seconds
    msg = "Manapause!",
},
{
    id = "BdsK:032",
    file = "032.mp3",
    len = 8,											-- length in seconds
    msg = "Heißgeliebtes Gerät",
},
{
    id = "BdsK:033",
    file = "033.mp3",
    len = 4,											-- length in seconds
    msg = "Lass uns zocken!",
},
{
    id = "BdsK:034",
    file = "034.mp3",
    len = 15,											-- length in seconds
    msg = "Schlaf jetzt schnell ein",
},
{
    id = "BdsK:035",
    file = "035.mp3",
    len = 15,											-- length in seconds
    msg = "Scheiß egal!",
},
{
    id = "BdsK:036",
    file = "036.mp3",
    len = 15,											-- length in seconds
    msg = "Gamer die nachts pennen gehen",
},
{
    id = "BdsK:037",
    file = "037.mp3",
    len = 25,											-- length in seconds
    msg = "Wer nachts nicht schläft ist dumm",
},
{
    id = "BdsK:038",
    file = "038.mp3",
    len = 21,											-- length in seconds
    msg = "have a real good time *sing*",
},
{
    id = "BdsK:039",
    file = "039.mp3",
    len = 14,											-- length in seconds
    msg = "Rocking out *sing*",
},
{
    id = "BdsK:040",
    file = "040.mp3",
    len = 14,											-- length in seconds
    msg = "Old School Hollywood *sing*",
},
{
    id = "BdsK:041",
    file = "041.mp3",
    len = 3,											-- length in seconds
    msg = "She's Like Heroin *sing*",
},
{
    id = "BdsK:042",
    file = "042.mp3",
    len = 17,											-- length in seconds
    msg = "Roulette *sing*",
},
{
    id = "BdsK:043",
    file = "043.mp3",
    len = 7,											-- length in seconds
    msg = "Rechner an!",
},
{
    id = "BdsK:044",
    file = "044.mp3",
    len = 5,											-- length in seconds
    msg = "Jetzt wird gerockt!",
},
{
    id = "BdsK:045",
    file = "045.mp3",
    len = 5,											-- length in seconds
    msg = "Gleich geht jemand zu weit",
},
{
    id = "BdsK:046",
    file = "046.mp3",
    len = 5,											-- length in seconds
    msg = "Rebel inside",
},
{
    id = "BdsK:047",
    file = "047.mp3",
    len = 5,											-- length in seconds
    msg = "Heats on fire",
},
{
    id = "BdsK:048",
    file = "048.mp3",
    len = 3,											-- length in seconds
    msg = "Born to rule",
},
-- end of media data
};
end 
